server.port=8324
spring.application.name=sms-water
logging.level.root=info
logging.path=./logs/sms-water
#\u6570\u636E\u5E93\u914D\u7F6E
spring.datasource.url=jdbc:mysql://10.0.0.63:3306/sms?characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Shanghai&zeroDateTimeBehavior=convertToNull
spring.datasource.username=root
spring.datasource.password=100zone
spring.datasource.driver-class-name=com.mysql.jdbc.Driver
spring.datasource.hikari.max-lifetime=30000
mybatis-plus.mapper-locations=classpath:mapper/*.xml
mybatis-plus.type-aliases-package=com.zcxk.entity
mybatis-plus.configuration.log-impl=org.apache.ibatis.logging.stdout.StdOutImpl
mybatis-plus.global-config.db-config.logic-delete-value=0 
mybatis-plus.global-config.db-config.logic-not-delete-value=1
spring.jackson.time-zone=GMT+8
#spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
#spring.jackson.joda-date-time-format: yyyy-MM-dd HH:mm:ss


#mongodb
spring.data.mongodb.uri=mongodb://10.0.0.63:27017/sms
logging.level.org.springframework.data.mongodb.core=DEBUG


# redis
spring.redis.host=10.0.0.63
spring.redis.port=6379
spring.redis.database=2
spring.redis.timeout=36000

# Lettuce
# \u8FDE\u63A5\u6C60\u6700\u5927\u8FDE\u63A5\u6570\uFF08\u4F7F\u7528\u8D1F\u503C\u8868\u793A\u6CA1\u6709\u9650\u5236\uFF09
spring.redis.lettuce.pool.max-active=8
# \u8FDE\u63A5\u6C60\u6700\u5927\u963B\u585E\u7B49\u5F85\u65F6\u95F4\uFF08\u4F7F\u7528\u8D1F\u503C\u8868\u793A\u6CA1\u6709\u9650\u5236\uFF09
spring.redis.lettuce.pool.max-wait=100
# \u8FDE\u63A5\u6C60\u4E2D\u7684\u6700\u5927\u7A7A\u95F2\u8FDE\u63A5
spring.redis.lettuce.pool.max-idle=8
# \u8FDE\u63A5\u6C60\u4E2D\u7684\u6700\u5C0F\u7A7A\u95F2\u8FDE\u63A5
spring.redis.lettuce.pool.min-idle=0
# \u5173\u95ED\u8D85\u65F6\u65F6\u95F4
spring.redis.lettuce.shutdown-timeout=100


security.oauth2.client.client-id=smart-city-v2
security.oauth2.client.client-secret=smart-city-v2-123
security.oauth2.resource.id=smartcity-deivice-service
security.oauth2.resource.user-info-uri=http://10.0.0.62:8321/user/principal
security.oauth2.resource.prefer-token-info=false


spring.servlet.multipart.max-file-size=100MB
spring.servlet.multipart.max-request-size=100MB
spring.servlet.multipart.location=${logging.path}/data

#kafka server
spring.kafka.bootstrap-servers=114.135.61.188:36377
#kafka consumer config
spring.kafka.consumer.group-id=user-group-dev
spring.kafka.consumer.auto-offset-reset=latest
spring.kafka.consumer.enable-auto-commit=true
#kafka producer config
spring.kafka.producer.retries=0
spring.kafka.producer.batch-size=4096
spring.kafka.producer.buffer-memory=40960

spring.kafka.producer.value-serializer=org.springframework.kafka.support.serializer.JsonSerializer
spring.kafka.consumer.value-deserializer=org.springframework.kafka.support.serializer.JsonDeserializer
spring.kafka.consumer.properties.spring.json.trusted.packages=*

#nacos
spring.cloud.nacos.discovery.server-addr=10.0.0.63:8848
SMS.sys_config_path=/UMIS_SMS_IMAGES/
SMS.sys_excel_path=/UMIS_SMS_EXCEL/

##rabbitmq
#spring.rabbitmq.host=114.135.61.188
#spring.rabbitmq.port=55672
#spring.rabbitmq.host=47.112.217.10
#spring.rabbitmq.port=5672
#spring.rabbitmq.username=zcxk
#spring.rabbitmq.password=huaxu123
#spring.rabbitmq.virtual-host=/
#spring.rabbitmq.listener.queue=new_hx_queue
#spring.rabbitmq.listener.simple.acknowledge-mode = NONE
#http
http_pool.max_total=200
http_pool.default_max_per_route=100
http_pool.connect_timeout=5000
http_pool.connection_request_timeout=1000
http_pool.socket_timeout=65000
http_pool.validate_after_inactivity=2000
#devicetype
http_pool.requesturl=http://114.135.61.188:48322/unit/profiles/list
http_pool.meterRequesturl=http://114.135.61.188:58080/api/platform/getDeviceStatistics


# quartz
spring.quartz.job-store-type=jdbc
spring.quartz.properties.org.quartz.scheduler.instanceName=smsScheduler
#分布式节点ID自动生成
spring.quartz.properties.org.quartz.scheduler.instanceId=AUTO
spring.quartz.properties.org.quartz.jobStore.class=org.quartz.impl.jdbcjobstore.JobStoreTX
spring.quartz.properties.org.quartz.jobStore.driverDelegateClass=org.quartz.impl.jdbcjobstore.StdJDBCDelegate
#使用QRTZ_前缀
spring.quartz.properties.org.quartz.jobStore.tablePrefix=SMS_QRTZ_
#开启集群，多个Quartz实例使用同一组数据库表
spring.quartz.properties.org.quartz.jobStore.isClustered=true
#分布式节点有效性检查时间间隔，单位：毫秒
spring.quartz.properties.org.quartz.jobStore.clusterCheckinInterval=10000
spring.quartz.properties.org.quartz.jobStore.useProperties=false
spring.quartz.properties.org.quartz.threadPool.class=org.quartz.simpl.SimpleThreadPool
#配置线程池线程数量，默认10个
spring.quartz.properties.org.quartz.threadPool.threadCount=10
spring.quartz.properties.org.quartz.threadPool.threadPriority=5
spring.quartz.properties.org.quartz.threadPool.threadsInheritContextClassLoaderOfInitializingThread=true


##rabbitmq 报警消息和工单消息数据
message.spring.rabbitmq.host=10.0.0.63
message.spring.rabbitmq.port=5672
message.spring.rabbitmq.username=admin
message.spring.rabbitmq.password=100zone
message.spring.rabbitmq.virtual-host= /
message.spring.rabbitmq.requested-heartbeat = 10
message.spring.rabbitmq.listener.simple.acknowledge-mode = NONE
message.spring.rabbitmq.listener.simple.prefetch = 20
message.spring.rabbitmq.connection-timeout=15000
message.spring.rabbitmq.publisher-confirm-type=correlated
message.spring.rabbitmq.publisher-confirms=true
message.spring.rabbitmq.publisher-returns=true
receive.exchange.name=messageExchangeTest
dispath.routing.key=dipathKeyTest1
dispath.queue=dispathTest1

#设备数据采集
receiveData.spring.rabbitmq.host=10.0.0.63
receiveData.spring.rabbitmq.port=5672
receiveData.spring.rabbitmq.username=admin
receiveData.spring.rabbitmq.password=100zone
receiveData.spring.rabbitmq.virtual-host=/
receiveData.spring.rabbitmq.listener.queue=new_hx_queue
receiveData.spring.rabbitmq.listener.simple.acknowledge-mode = NONE
receiveData.spring.rabbitmq.listener.simple.prefetch = 20

receiveData.spring.rabbitmq.requested-heartbeat = 10
receiveData.spring.rabbitmq.connection-timeout=15000
receiveData.spring.rabbitmq.publisher-confirm-type=correlated
receiveData.spring.rabbitmq.publisher-confirms=true
receiveData.spring.rabbitmq.publisher-returns=true


#=====================新增参数线程池配置
#核心线程数
aysnc.pool.core-size=50
#最大线程数
aysnc.pool.max-size=200
#空闲线程保留时间
aysnc.pool.keep-alive=200
#队列容量
aysnc.queue-capacity=100000
#线程名称前缀
aysnc.thread-name-prefix=aysnc-thread-
#指令下发调用接口地址
send.setsetup.url=http://114.135.61.188:48322/center/command/send
get_map_info_url=http://114.135.61.188:58080/api/platform/getTheMapInformationOfTheDevice
get_device_url=http://114.135.61.188:58080/api/platform/getDeviceListInformation